> For the complete documentation index, see [llms.txt](/llms.txt).
> A full single-fetch corpus is available at [llms-full.txt](/llms-full.txt).
---
title: "List environments"
description: "List a project's environments."
method: "GET"
endpoint: "/api/v1/environments"
order: 1
last_verified: 2026-07-27
---

<ApiEndpoint
  method="GET"
  endpoint="/api/v1/environments"
  description="List a project's environments."
>
  <section>
    ### Query parameters

    <ApiAttribute name="project_id" type="string" description="The project's UUID. Required." required={true} />
  </section>

  <section>
    ### Request example

    <MultiLanguageCodeBlock
      languages={["bash", "javascript"]}
      value={[
        {
          language: 'bash',
          code: `curl "https://api.agnt5.com/api/v1/environments?project_id=b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f" \\
  -H "X-API-KEY: {api_key}"`
        },
        {
          language: 'javascript',
          code: `fetch('https://api.agnt5.com/api/v1/environments?project_id=' + projectId, {
  headers: { 'X-API-KEY': apiKey }
})`
        }
      ]}
    />

    ```json {{ title: 'Response' }}
    {
      "success": true,
      "message": "Environments retrieved successfully",
      "data": [
        {
          "id": "c1d2e3f4-...",
          "name": "production",
          "slug": "production",
          "project_id": "b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f",
          "current_deployment_id": "8a1c2d3e-...",
          "created": 1732636800000,
          "updated": 1753612800000,
          "created_by": "3f2b1a0c-..."
        },
        {
          "id": "d2e3f4a5-...",
          "name": "staging",
          "slug": "staging",
          "project_id": "b6f1a3e2-9c4d-4f7a-8e2b-1a2b3c4d5e6f",
          "created": 1732636800000,
          "updated": 1732636800000,
          "created_by": "3f2b1a0c-..."
        }
      ]
    }
    ```
  </section>
</ApiEndpoint>
